Subject: Re: [PATCH] selftests: tc-testing: fix list_categories() crash on list type

From: Jakub Kicinski <[email-masked]>
Date: Tue, 3 Mar 2026 18:49:01 -0800

On Wed, 4 Mar 2026 08:04:18 +0530 Naveen A wrote:
> > How did you find this issue? I can't figure out what's calling this
> > function in the first place.  
> 
> I encountered this while running the tc-testing selftests locally.

Running locally meaning? via tdc.py ? Or some other way ?

$ git grep list_categories
tools/testing/selftests/tc-testing/tdc_helper.py:def list_categories(testlist):

I guess I don't understand what the purpose if tdc_helper.py is
but the function you're polishing appears not to be called today..